ome-qtwidgets 5.3.2

Public Member Functions | Private Attributes | List of all members
ome::qtwidgets::gl::v33::Axis2D Class Reference

2D (xy) axis renderer. More...

`#include <ome/qtwidgets/gl/v33/V33Axis2D.h>`

Inheritance diagram for ome::qtwidgets::gl::v33::Axis2D:
[legend]
Collaboration diagram for ome::qtwidgets::gl::v33::Axis2D:
[legend]

## Public Member Functions
| Axis2D (ome::compat::shared_ptr< ome::files::FormatReader > reader, ome::files::dimension_size_type series, QObject *parent=0)
| Create a 2D axis. More...
| ~Axis2D ()
| Destructor.
void | render (const glm::mat4 &mvp)
| Render the axis. More...
Public Member Functions inherited from ome::qtwidgets::gl::Axis2D
| Axis2D (ome::compat::shared_ptr< ome::files::FormatReader > reader, ome::files::dimension_size_type series, QObject *parent=0)
| Create a 2D axis. More...
virtual void | create ()
| Create GL buffers. More...

## Private Attributes
glsl::v330::GLFlatShader2D * | axis_shader
| The shader program for axis rendering.

## Additional Inherited Members
Protected Member Functions inherited from ome::qtwidgets::gl::Axis2D
virtual void | setSize (glm::vec2 xlim, glm::vec2 ylim, glm::vec2 soff, glm::vec2 slim)
| Set the size of the x and y axes. More...
Protected Attributes inherited from ome::qtwidgets::gl::Axis2D
QOpenGLVertexArrayObject | vertices
| The vertex array.
QOpenGLBuffer | xaxis_vertices
| The vertices for the x axis.
QOpenGLBuffer | yaxis_vertices
| The vertices for the y axis.
QOpenGLBuffer | axis_elements
| The elements for both axes.
ome::compat::shared_ptr< ome::files::FormatReader > | reader
| The image reader.
ome::files::dimension_size_type | series
| The image series.

## Detailed Description

2D (xy) axis renderer.

Draws x and y axes for the specified image.

## Constructor & Destructor Documentation

## § Axis2D()

ome::qtwidgets::gl::v33::Axis2D::Axis2D | ( | ome::compat::shared_ptr< ome::files::FormatReader > | reader,
|  | ome::files::dimension_size_type | series,
|  | QObject * | parent = `0`
| ) |  |
| explicit

Create a 2D axis.

The size and position will be taken from the specified image.

Parameters

  reader | the image reader.
  series | the image series.
  parent | the parent of this object.

## Member Function Documentation

## § render()

void ome::qtwidgets::gl::v33::Axis2D::render | ( | const glm::mat4 & | mvp | ) |
| virtual

Render the axis.

Parameters

  mvp | the model view projection matrix.

Implements ome::qtwidgets::gl::Axis2D.

References ome::qtwidgets::gl::Axis2D::axis_elements, axis_shader, ome::qtwidgets::gl::check_gl(), ome::qtwidgets::glsl::v330::GLFlatShader2D::disableCoords(), ome::qtwidgets::glsl::v330::GLFlatShader2D::enableCoords(), ome::qtwidgets::glsl::v330::GLFlatShader2D::setColour(), ome::qtwidgets::glsl::v330::GLFlatShader2D::setCoords(), ome::qtwidgets::glsl::v330::GLFlatShader2D::setModelViewProjection(), ome::qtwidgets::glsl::v330::GLFlatShader2D::setOffset(), ome::qtwidgets::gl::Axis2D::vertices, ome::qtwidgets::gl::Axis2D::xaxis_vertices, and ome::qtwidgets::gl::Axis2D::yaxis_vertices.

The documentation for this class was generated from the following files:

- ome/qtwidgets/gl/v33/V33Axis2D.h
- ome/qtwidgets/gl/v33/V33Axis2D.cpp